package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * @description
 *   应用终端类型枚举
 * @author cold_blade
 * @date 2023/11/9
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum PendingMessageTemplateEnum {

    /**
     * 新任务模版
     */
    NEW_TASK("新任务模版","d1d4793c84e14d20ae1cbc399338efa3","https://axzo-public.oss-cn-chengdu.aliyuncs.com/dece1ce149fa011e4c51ce11bb81d61e.png"),
    NEW_TASK_360("新任务模版360","e67a037581f948ec9343e2217b828034","https://axzo-public.oss-cn-chengdu.aliyuncs.com/dece1ce149fa011e4c51ce11bb81d61e.png"),
    /**
     * 确认记工模版
     */
    CONFIRM_TASK("确认记工模版","367ba552bb374049a73e737ac3b8b08c","https://axzo-public.oss-cn-chengdu.aliyuncs.com/f3520d6543f4629026ad5c6d00754942.png"),
    /**
     * 进场模版
     */
    CLOCK_IN_TEMPLATES("进场模版","cb4c583b06fc428ab045d6cef5a1c64c","https://axzo-public.oss-cn-chengdu.aliyuncs.com/ec9f4a36cc836316c24e900544c5b55a.png"),
    /**
     * 出厂模版
     */
    PUNCH_IN_CODES("出厂模版","2b9bb2da572f4236bfa39e3b714143d9","https://axzo-public.oss-cn-chengdu.aliyuncs.com/ec9f4a36cc836316c24e900544c5b55a.png"),
    ;

    private final String name;
    private final String code;
    private final String url;

    public static List<String> getConstructionTemplates() {
        return Arrays.asList(NEW_TASK.code, CONFIRM_TASK.code, NEW_TASK_360.code);
    }
    public static List<String> getAttendanceTemplates() {
        return Arrays.asList(CLOCK_IN_TEMPLATES.code, PUNCH_IN_CODES.code);
    }


}
